# Generated from cici-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cici

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Confidential Information for Continuous Integration (CICI)
License: MIT
URL: https://github.com/levibostian/cici
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubocop) >= 0.58
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop) >= 0.58.2
# BuildRequires: rubygem(rspec) >= 3.8.0
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec_junit_formatter) >= 0.4
# BuildRequires: rubygem(rspec_junit_formatter) < 1
# BuildRequires: rubygem(rspec_junit_formatter) >= 0.4.1
BuildArch: noarch

%description
When environment variables are not enough and you need to store secrets within
files, cici is your friend. Store secret files in your source code repository
with ease. Can be used without a CI server, but tool is primarily designed for
your CI server to decrypt these secret files for deployment.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/cici
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.0-1
- Initial package
